Python & Ruby

Ruby 설치

윈도우

http://rubyinstaller.org/

운영체제가 요세미티나 메버릭스 이후 버전이면 루비 2 이상의 버전이 설치 되어 있기 때문에 설치를 할 필요가 없습니다. 그 이전 운영체제라면 아래와 같은 방법을 따라야 합니다. 

  1. 터미널을 실행합니다.
  2. ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
  3. brew update
  4. brew install ruby
  5. nano ~/.bash_profile 실행 후 아래 코드 삽입 후 저장
    export PATH=$(brew --prefix ruby)/bin:$PATH
  6. 터미널을 다시 실행하고 ruby -v를 실행한 결과가 2 이상이면 성공

리눅스

리눅스 우분투 배포판의 경우 ruby 2가 기본적으로 설치되어 있습니다. 따라서 직접 설치 할 필요가 없지만 설치가 필요한 경우 아래 명령을 실행하면 됩니다. 

sudo apt-get install ruby;

댓글

댓글 본문
작성자
비밀번호
  1. 참이
    리눅스라서 좋은점도 있네용..
  2. 잉로
    2.2.2는 없고 2.1.9나 2.2.6은 있는데 뭘 다운받아야 하나요
  3. 김래옥
    루비.
  4. 나만의 부
    2017.04.13
  5. 신현민
    잘 따라했습니다.
    맥을 사용중이라 버전을 확인해봤는데요.
    맥 버전은 10.12.2이고
    루비는 ruby 2.0.0p648 (2015-12-16 revision 53162)인데.

    동영상의 루비는 ruby 2.2.2p95(2015-04-13 revision 50295)

    일반적으로 최근 버전이 숫자가 높지 않나요?
    루비는 처음 보는 것이라 질문합니다.
  6. Acasia
    Thank you so much
    I have tried to install ruby but i couldn't do it. Thanks to you, now Install is completed. !!!!
  7. 최유빈
    감사해요~
  8. JustStudy
    고맙습니다
  9. MaseKor
    파이썬같은경우는 제가알기론 맥 기본적으로 있는데... 저도 파이썬 따로 설치하지 않고 사용하고있구요
    대화보기
    • 하늘다람쥐
      os X 요세미티 맥북입니다.
      루비가 없길래 저 영상대로 따라갔습니다.
      그런데
      -bash: ruby-v: command not found <- 그대로 실행했는데, 계속 이렇게만 뜹니다.
      파이썬도 마찬가지구요. ㅠㅠ 어떻게 해결해야 할까요?
    • 비티민C플러스
      감사합니다^.^
    • 제목남
      그림에대한제목이없어서 궁금하네요 ..
    • 감사합니다.
      맥에 루비 문서파일 등은 깔려있지만(위에 방법대로 업그레이드도 했습니다), 응용프로그램으로 존재하지 않습니다. 인스톨러를 다운받거나 해야하는건가요? 도와주세요ㅠㅠ
    • 유종수
      맥에 루비가 기본적으로 설치 되어 있다는건 오늘 처음 알았네요. 여태 그런것도 모르고 사용하고 있었습니다.
    • 검사무운
      잘 봤습니다.
    • centos도 어떻게 깔아야하는지 알려주세요
    • XecSep
      영문이네요.
      유니티 배웠었는데 영문이라서 인터페이스 다룰 줄 몰라서 포기했는데 걱정됩니다 ㅎㅎ
    • Frank
      고맙습니다.
    버전 관리
    egoing
    현재 버전
    선택 버전
    graphittie 자세히 보기